Package com.macrofocus.high_d.scatterplotmatrix.swing

# Class SwingScatterPlotMatrixComponent<Row,Column>

java.lang.Object
com.macrofocus.high_d.scatterplotmatrix.AbstractScatterPlotMatrixComponent<JComponent,Color,Row,Column>
com.macrofocus.high_d.scatterplotmatrix.swing.SwingScatterPlotMatrixComponent<Row,Column>

All Implemented Interfaces:
  `com.macrofocus.crossplatform.CPComponent<JComponent>`, `ScatterPlotMatrixComponent<JComponent,Color,Row,Column>`

public class SwingScatterPlotMatrixComponent<Row,Column> extends AbstractScatterPlotMatrixComponent<JComponent,Color,Row,Column>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.macrofocus.high_d.scatterplotmatrix.AbstractScatterPlotMatrixComponent

  `AbstractScatterPlotMatrixComponent.AbstractVisualLayerIDrawing`

- ## Field Summary

  ### Fields inherited from class com.macrofocus.high_d.scatterplotmatrix.AbstractScatterPlotMatrixComponent

  `canvas, model, timer`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SwingScatterPlotMatrixComponent(ScatterPlotMatrixView<JComponent,Color,Row,Column> view)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected int`
  `getHeight()`
  `JComponent`
  `getNativeComponent()`
  `protected int`
  `getWidth()`
  `protected void`
  `refresh()`
  `protected void`
  `repaint()`
  `void`
  `scheduleUpdate()`
  `void`
  `setStyleClass(String... styleClasses)`

  ### Methods inherited from class com.macrofocus.high_d.scatterplotmatrix.AbstractScatterPlotMatrixComponent

  `createOverplots, getClosestRow, getRows, setModel`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SwingScatterPlotMatrixComponent

    public SwingScatterPlotMatrixComponent(ScatterPlotMatrixView<JComponent,Color,Row,Column> view)

- ## Method Details

  - ### getNativeComponent

    public JComponent getNativeComponent()

  - ### setStyleClass

    public void setStyleClass(String... styleClasses)

  - ### scheduleUpdate

    public void scheduleUpdate()

  - ### getWidth

    protected int getWidth()
    Specified by:
      `getWidth` in class `AbstractScatterPlotMatrixComponent<JComponent,Color,Row,Column>`

  - ### getHeight

    protected int getHeight()
    Specified by:
      `getHeight` in class `AbstractScatterPlotMatrixComponent<JComponent,Color,Row,Column>`

  - ### repaint

    protected void repaint()
    Specified by:
      `repaint` in class `AbstractScatterPlotMatrixComponent<JComponent,Color,Row,Column>`

  - ### refresh

    protected void refresh()
    Overrides:
      `refresh` in class `AbstractScatterPlotMatrixComponent<JComponent,Color,Row,Column>`